using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApp1.translationKey
{
    class translationPrivateOut : TranslationApiStr
    {
        private static string path = Directory.GetCurrentDirectory() + "\\translationResource";
        private static string txtPath = Directory.GetCurrentDirectory() + "\\translationResource\\ListPrivate.txt";

        private String getTranslationPrivateApi(StreamReader sr)
        {
            String temp = sr.ReadLine();

            if(temp != null)
            {
                return temp;
            }
            else
            {
                return "ERROR";
            }

        }

        private String getTranslationPrivateKey(StreamReader sr)
        {
            String temp = sr.ReadLine();

            if (temp != null)
            {
                return temp;
            }
            else
            {
                return "ERROR";
            }

        }

        public string getpath(string id)
        {
            return path + "\\" + id + ".txt";
        }

        public string gettxt()
        {
            return txtPath;
        }

        public List<string> OutputTranslationS(string id)
        {
            string temppath = path + "\\" + id + ".txt";

            List<string> temp = new List<string> { };
            
            if (Directory.Exists(temppath))//若不存在
            {
                temp.Add("尚未输入!!!");
                return temp;
            }
            

            StreamReader sr = new StreamReader(temppath);


            temp.Add(this.getTranslationPrivateApi(sr));
            temp.Add(this.getTranslationPrivateKey(sr));

            sr.Close();
            return temp;
        }

        public List<string> OutputTranslationNameList()
        {
            List<string> temp = new List<string> { };
            string temptxtpath = txtPath;
            
            if(Directory.Exists(temptxtpath))
            {
                temp.Add("ERROR");
                return temp;
            }
            

            StreamReader sr = new StreamReader(temptxtpath);
            string temp2 = sr.ReadLine();
            if (temp2 == null)
            {
                temp.Add("ERROR");
            }
            else
            {
                while (temp2 != null)
                {
                    temp.Add(temp2);
                    temp2 = sr.ReadLine();
                }
            }

            sr.Close();
            return temp;
        }
    }
}
